package rasmus_torkel.misc;

import java.util.List;

public abstract class ArrayMaker2D<T> extends ArrayMaker<T>
{
    public abstract T[][]
    newArray2D(int size);
    
    public int
    supportedDimensionQty()
    {
        return 2;
    }
    
    public T[][]
    from1DList(List<T[]> list)
    {
        int size = list.size();
        T[][] array = newArray2D(size);
        for (int i = 0; i < size; i++)
        {
            T[] element = list.get(i);
            array[i] = element;
        }
        return array;
    }
}
