package rasmus_torkel.misc;

import java.util.List;

public abstract class ArrayMaker3D<T> extends ArrayMaker2D<T>
{
    public abstract T[][][]
    newArray3D(int size);
    
    public int
    supportedDimensionQty()
    {
        return 3;
    }
    
    public T[][][]
    from2DList(List<T[][]> list)
    {
        int size = list.size();
        T[][][] array = newArray3D(size);
        for (int i = 0; i < size; i++)
        {
            T[][] element = list.get(i);
            array[i] = element;
        }
        return array;
    }
}
