package rasmus_torkel.set;

public interface JustifyingGenericSet<T> extends GenericSet<T>
{
    /**
     * Gives a reason for the object being outside the set.
     * The reason will be given as a phrase such as "is less than 5" or "has capital letters".
     * The point is that the invoker can convert the object that is outside the set and prepend
     * it to the reason.
     * @param x
     * @return
     */
    public String
    outReason(T x);
}
