package rasmus_torkel.xml_basic.read.factory;

import rasmus_torkel.xml_basic.read.TagNode;
import rasmus_torkel.xml_basic.rw.TagNodeId;

public class XmlFactoriesForStandardTypes
{
    public static final MainXmlObjectFactory<String> STRING_FACTORY = new MainXmlObjectFactory<String>(String.class, new TagNodeId("string"))
    {
        @Override
        public String
        extractFromNode(TagNode node)
        {
            return node.onlyText();
        }
    };
}
