package rasmus_torkel.config.exception;

import rasmus_torkel.text.read.exception.SemanticException;

/**
 * For situations where the properties don't contain what is expected.
 * 
 * @author Rasmus Torkel
 */
public class PropertyExpectationException extends SemanticException
{
    public
    PropertyExpectationException(String message)
    {
        super(message);
    }

    public
    PropertyExpectationException(String    message,
                                 Throwable e)
    {
        super(message, e);
    }
}
