/*
 * Copyright Rasmus Torkel 2015
 * Author    Rasmus Torkel 2015
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.convention;

public class ConventionConstants
{
    /**
     * When creating objects from a text representation or when converting objects
     * to text representation, then, depending on the text format and convention for
     * representing objects, it may be necessary to record the name of the class for
     * the object to be created with a label. If so, this is the label.
     */
    public static final String LABEL_FOR_CLASS_NAME_OF_OBJECT = "classOfObject";
}
