/*
 * Copyright Rasmus Torkel 2016
 * Author    Rasmus Torkel 2016
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.text.read.exception;

/**
 * For hierarchical input where we encounter a node which we don't want or don't encounter a
 * node which we do want.
 * 
 * @author Rasmus Torkel
 */
public class NodeWhichException extends NodeException
{
    public
    NodeWhichException(String context,
                       String messageCore)
    {
        super(context, messageCore);
    }
    
    public
    NodeWhichException(String inputLabel,
                       int    lineNr,
                       String message)
    {
        super(inputLabel, lineNr, message);
    }
}
